Linux环境下源码编译nodejs环境并部署nodejs应用

该环境安装非常简单,这里简单记录下linux(centos环境下)的源码安装,做个记录。

平台:centos 6
环境:python 2.6

环境安装包地址:http://nodejs.cn/download/  可以这里下载源码编译。
安装步骤:
1,安装编译代码的开发工具

yum -y groupinstall "Development Tools" 

2,下载安装包配置或者源码编译。
首先,优先推荐https://nodejs.org/en/download/ 这里下载二进制安装包,然后配置环境变量即可,省事方便且不易出错!
想要源码编译的朋友可以到node官网下载,这里下载源码编译最新安装包:https://nodejs.org/dist/v6.2.0/node-v6.2.0.tar.gz
进入/usr/local/src

wget  https://nodejs.org/dist/v6.2.0/node-v6.2.0.tar.gz
tar zxvf  node-v6.2.0.tar.gz
cd node-v6.2.0
./configure
make
make install

3,安装模块express和forever现在已经安装了Node.js, 准备部署应用程序, 首先要使用Node.js的模块管理器npm安装Express middleware 和forever:

npm -g install express forever 

4,建立超级链接。

ln -s /usr/local/bin/node /usr/bin/node 
ln -s /usr/local/lib/node /usr/lib/node 
ln -s /usr/local/bin/npm /usr/bin/npm 
ln -s /usr/local/bin/node-waf /usr/bin/node-waf 
ln -s /usr/local/bin/forever /usr/bin/forever

运行node -v可以看到版本说明没问题。
5,部署应用程序。
比如:

forever start app.js  &;

这样扔到后台运行,端口默认1337.
查看运行当中的应用:

forever list 

退出应用:

forever stop 0 

ps:这里有朋友反馈编译报错,原因多数是因为老机器gcc 4.4版本比较低的原因,不支持 C++11 编译,升级gcc版本即可解决。可以参考文章http://blog.csdn.net/zr1076311296/article/details/51334538 升级gcc解决。

转载请注明:西数超哥博客www.ysidc.top» Linux环境下源码编译nodejs环境并部署nodejs应用

https://www.ysidc.top 西数超哥博客,数据库,西数超哥,虚拟主机,域名注册,域名,云服务器,云主机,云建站,ysidc.top

西数超哥学习乐园,西数超哥基础运维经验教程分享的学习乐园,西数超哥博客,运维经验教程交流学习分享的博客

原创文章,作者:zhang sir,如若转载,请注明出处:https://www.ysidc.top/5790.html